// $RCSfile: char_player.hpp,v $     $Date: 2009/02/08 16:27:56 $     $Revision: 1.1 $
// Copyright (c) 2008 Krodo
// Part of Bylins http://www.mud.ru

#ifndef CHAR_PLAYER_HPP_INCLUDED
#define CHAR_PLAYER_HPP_INCLUDED

#include <string>
#include <boost/shared_ptr.hpp>
#include "conf.h"
#include "sysdep.h"
#include "structs.h"
#include "quested.hpp"
#include "mobmax.hpp"

class Player
{
public:
	Player();
	int get_pfilepos() const;
	void set_pfilepos(int pfilepos);

	room_rnum get_was_in_room() const;
	void set_was_in_room(room_rnum was_in_room);

	std::string const & get_passwd() const;
	void set_passwd(std::string const & passwd);

	room_rnum get_from_room() const;
	void set_from_room(room_rnum was_in_room);

	void remort();

	//     ... =)
	friend void save_char(CHAR_DATA *ch);

	//   
	Quested quested;
	//    
	MobMax mobmax;
	//   
	static boost::shared_ptr<Player> shared_mob;

private:
	//     - (  ,      )
	// TODO:              .. , 
	// get_ptable_by_name  find_name (  )     /,    -
	int pfilepos_;
	// ,      ,      (linkdrop)
	room_rnum was_in_room_;
	//  
	std::string passwd_;
	// ,      char_from_room (was_in_room_      )
	//                ,      
	room_rnum from_room_;
};

#endif // CHAR_PLAYER_HPP_INCLUDED
